#!/bin/sh

name="urlview"
title="urlview"
package="urlview"
version="0.9"
build="1"
noarch="n"
build_info=""

info="A URL extractor/viewer, useful with Mutt."
desc="urlview is a curses program for extracting URLs from text
files and displaying a menu from which you can select a
specific URL to view using your favorite browser program."
category="viewer/other"
environment="console/curses"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,ChangeLog,INSTALL,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.mutt.org/mutt/contrib/$name-$version.tar.gz

apply_patch urlview-destdir.pw.patch
apply_patch urlview-url_handler.pw.patch
apply_patch urlview-strip10.pw.patch

verbose "Do you want to use S-Lang for UI instead of ncurses?"
verbose "Note that S-Lang version will be broken on GCC 3.x."
yes_or_no use_slang n

if [ "$use_slang" = "n" ]; then

    build_info "Uses ncurses user interface."

else

    package_suffix slang
    configure_option --with-slang
    build_info "Uses S-Lang user interface."

fi

configure_option --prefix=/usr
install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

copy url_handler.sh $pkg_main/usr/bin

make_docs

make_package main

clean_up

# $Log: urlview.builder,v $
# Revision 1.2  2002/12/25 23:45:18  swiergot
# - Build 1.
#
# Revision 1.1  2002/12/25 23:27:31  swiergot
# - Initial release.
# - Version 0.9.
#
